﻿--PoisonerMenu:Hide();
--PoisonerOptions_SettingsFrame:Hide();

local btnMinimap = CreateFrame("BUTTON", "Poisoner_FreeButton", UIParent, "SecureHandlerClickTemplate, Poisoner_MinimapButton");
btnMinimap:RegisterForDrag("LeftButton");
--btnMinimap:SetClampedToScreen(true);
btnMinimap:ClearAllPoints();
btnMinimap:SetPoint("CENTER",UIParent,"CENTER");

local texture = btnMinimap:CreateTexture(nil, "ARTWORK");
texture:SetTexture("Interface\\AddOns\\Poisoner\\images\\Poisoner_MMButton");
texture:SetBlendMode("BLEND");
texture:SetAllPoints(btnMinimap);
btnMinimap:SetHighlightTexture(texture);


btnMinimap:SetAttribute("_onclick", [=[
 local show, i, ref = button == "LeftButton", 2, self:GetFrameRef("frame1");
 while ref do
  if show then ref:Show(); else ref:Hide(); end
  i, ref = i + 1, self:GetFrameRef("frame" .. i);
 end
]=]);

btnMinimap:SetAttribute("_onclick", [=[
 local left, right, menu, options = button == "LeftButton", button == "RightButton", self:GetFrameRef("frame1"), self:GetFrameRef("frame2");
	if right then
		if options:IsVisible() then
				options:Hide();
		elseif options:IsShown() then
			options:Hide();
		else
			options:Show();
		end
	else
		if menu:IsVisible() then
			menu:Hide();
		elseif menu:IsShown() then
			menu:Hide();
		else
			menu:Show();
		end
	end
]=]);

btnMinimap:RegisterForClicks("AnyUp");
btnMinimap:SetFrameRef("frame1", PoisonerMenu);
btnMinimap:SetFrameRef("frame2", PoisonerOptions_SettingsFrame);


btnMinimap:SetScript("OnDragStart", Poisoner_OnDragStart);
btnMinimap:SetScript("OnDragStop", Poisoner_OnDragStop);

